$(function () {
	var $fileType = $('.file-type'),
		$type = ['pdf', 'psd', 'ai', 'fla', 'swf', 'in', 'acc', 'do', 'xl', 'pp', 'zip', 'rar', '7z', 'txt', 'jp', 'gif', 'png', 'mp3', 'wav'];

	$fileType.each(function (i) {
		var  $fileTypeHref = null;
		if($(this).children('a').length) {
			$fileTypeHref = $(this).children('a').attr('href');
		} else {
			$fileTypeHref = $(this).attr('href');
		};

		$fileTypeHref = $fileTypeHref.split("/");
		$fileTypeHref = $fileTypeHref[$fileTypeHref.length-1];
		$fileTypeHref = $fileTypeHref.split(".");
		$fileTypeHref = $fileTypeHref[$fileTypeHref.length-1];

		$.map($type, function(type, index) {
			if($fileTypeHref.indexOf(type)!=-1) {
				if(type == "swf") {
					$fileType.eq(i).addClass('type-fla');
				} else if(type == "zip" || type == "rar" || type == "7z") {
					$fileType.eq(i).addClass('type-zip');
				} else if(type == "mp3" || type == "wav") {
					$fileType.eq(i).addClass('type-audio');
				} else {
					$fileType.eq(i).addClass('type-'+type);
				};
			};
		});
	});
});